INCLUDES = $(all_includes)

bin_PROGRAMS = kprinter
lib_LTLIBRARIES = kprinter.la

kprinter_SOURCES = dummy.cpp
kprinter_LDADD = kprinter.la
kprinter_LDFLAGS = $(KDE_RPATH) $(all_libraries)

kprinter_la_SOURCES = main.cpp printwrapper.cpp
kprinter_la_LIBADD = -lkdeprint
kprinter_la_LDFLAGS = -module -avoid-version $(all_libraries) $(KDE_RPATH)
kprinter_METASOURCES = AUTO

noinst_HEADERS = printwrapper.h

messages:
	$(XGETTEXT) *.cpp -o $(podir)/kprinter.pot

dummy.cpp:
	echo > dummy.cpp
